echo off
cls
echo LinkWay Live! AVK Version 1.31 ICLAS Network Installation Program
echo.
cls
echo Removing old DVI support . . .
if exist dvigo.bat erase dvigo.bat
if exist DVIFILE.EXE erase DVIFILE.EXE
if exist DVIINIT.EXE erase DVIINIT.EXE
if exist DVIMVST.EXE erase DVIMVST.EXE
if exist DVIMVPRE.EXE erase DVIMVPRE.EXE
if exist DVIMVPL.EXE erase DVIMVPL.EXE
if exist DVIMVDN.EXE erase DVIMVDN.EXE
if exist DVISTOP.EXE erase DVISTOP.EXE
if exist DVIBLACK.EXE erase DVIBLACK.EXE
if exist DVISTLD.EXE erase DVISTLD.EXE
if exist DVISTCP.EXE erase DVISTCP.EXE
if exist DVISTUNL.EXE erase DVISTUNL.EXE
if exist DVISTUNL.EXE erase DVISTUNL.EXE
if exist DVICMON.EXE erase DVICMON.EXE
if exist DVICREC.EXE erase DVICREC.EXE
if exist DVICDN.EXE erase DVICDN.EXE
if exist DVICSTLL.EXE erase DVICSTLL.EXE
if exist DVICSET.EXE erase DVICSET.EXE
if exist DVITSR.EXE erase DVITSR.EXE
if exist CHKAVDX.EXE erase CHKAVDX.EXE
if exist CHKAVDN.EXE erase CHKAVDN.EXE
if exist CHKUAVDX.EXE erase CHKUAVDX.EXE
if exist CHKUAVDN.EXE erase CHKUAVDN.EXE
if exist AVDEXIT.EXE erase AVDEXIT.EXE
if exist AVDSTART.EXE erase AVDSTART.EXE
if exist UAVDEXIT.EXE erase UAVDEXIT.EXE
if exist UDVISTRT.EXE erase UDVISTRT.EXE
if exist UDVISTOP.EXE erase UDVISTOP.EXE
if exist folders\sampdvi.lwv erase folders\sampdvi.lwv
if exist text\dvi.doc erase text\dvi.doc
if exist objects\dvistill.ob erase objects\dvistill.ob
if exist objects\dvimovie.ob erase objects\dvimovie.ob
if exist objects\dvimon.ob erase objects\dvimon.ob
if exist objects\dvioff.ob erase objects\dvioff.ob
if exist objects\dvisubs1.pg erase objects\dvisubs1.pg
if exist objects\dvisubs2.pg erase objects\dvisubs2.pg
cls
echo Adding new network DVI support (LinkWay Live! AVK Version 1.31) . . .
echo.
echo Unzipping DVI files to \LLHOME . . .
pkunzip -o lhome.zip
echo.
echo Unzipping new DVI documents to \LLHOME\TEXT . . .
pkunzip -o docmnt.zip text
echo.
echo Unzipping RTV 2.1 support and other BINs to \COURSES\DVI . . .
md \COURSES\DVI > nul
pkunzip -o dvibin.zip \COURSES\dvi
echo.
echo Unzipping AVK.INI to \LLHOME\DVI . . .
md DVI > nul
pkunzip -o dvibin.zip dvi avk.ini
echo.
echo Unzipping DVI objects to \LLHOME\OBJECTS . . .
pkunzip -o objcts.zip objects
echo.
echo Unzipping network SAMPDVI folder to \LLHOME\FOLDERS . . .
pkunzip -o netdvi.zip folders sampdvi.lwv
echo.
echo Unzipping a tool object to \LLHOME\OBJECTS . . .
pkunzip -o netdvi.zip objects *.ob
echo.
echo Unzipping SAMPLE DVI files to \LLHOME . . .
pkunzip -o dsamples.zip 
echo.
echo.
cls
echo.
echo.
echo Cleaning up
echo.
del lhome.zip > nul
del docmnt.zip > nul
del dvibin.zip > nul
del objcts.zip > nul
del sampdvi.zip > nul
del showdvi.zip > nul
del lasercap.zip > nul
del dsamples.zip > nul
del netdvi.zip > nul
del pkunzip.exe > nul
del readme > nul

echo Install of LinkWay Live! AVK Version 1.31 is complete!
echo.
echo Read the Reference Guide for information on LinkWay Live!
echo DVI support.
